package com.steerinfo.meterwork.except;


import com.steerinfo.meterwork.enums.ResultEnum;

/**
 * @ClassName MarkerMetException
 * @Description: TODO
 * @Author
 * @Date 2020/9/12
 * @Version V1.0
 */
public class MarkerMetException  extends RuntimeException{

    private Integer code;
    public MarkerMetException(ResultEnum resultEnum) {
        super(resultEnum.getMessage());
        this.code = resultEnum.getCode();
    }

    public MarkerMetException(Integer code, String message) {
        super(message);
        this.code = code;
    }

    /**
     * @return the code
     */
    public Integer getCode() {
        return code;
    }
}
